package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCategoryUpdateRequest struct {
	/*
	   更新请求模型     */
	Param *domain.AlibabaWdkSkuCategoryUpdateCategoryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuCategoryUpdateRequest) SetParam(v domain.AlibabaWdkSkuCategoryUpdateCategoryDo) *AlibabaWdkSkuCategoryUpdateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuCategoryUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCategoryUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
